using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Mpeg2;
using skyscraper5.Skyscraper.IO;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.Dvb.Descriptors
{
	[SkyscraperPlugin]
	[TsDescriptor(0x46,"PMT")]
    class VbiTeletextDescriptor : TsDescriptor
    {
        public VbiTeletextDescriptor(byte[] buffer)
        {
            if (buffer.Length % 5 != 0)
                return;

            TeletextDescriptor td = new TeletextDescriptor(buffer);
            this.Teletexts = td.Teletexts;
        }

        public TeletextDescriptor.TeletextDescriptorTeletext[] Teletexts { get; private set; }
    }
}
